cmake_minimum_required(VERSION 3.16)
project(cyberqueer-qt-style)

set(CMAKE_AUTOMOC ON)
set(CMAKE_CXX_STANDARD 17)

find_package(Qt6 REQUIRED COMPONENTS Widgets)

add_library(cyberqueer MODULE
    plugin.cpp
    CyberQueerStyle.cpp
    CyberQueerStyle.h
)

target_link_libraries(cyberqueer PRIVATE Qt6::Widgets)

install(TARGETS cyberqueer
    LIBRARY DESTINATION /usr/lib/qt6/plugins/styles
)
